# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`bareos_exporter`](#bareos_exporter): Main class, includes all other classes

#### Private Classes

* `bareos_exporter::install`: This class handles the download and installation of bareos exporter. Avoid modifying private classes.
* `bareos_exporter::params`: Parameter Class from bareos exporter
* `bareos_exporter::service`: This class handles the creation of systemd service and its autostart Avoid modifying private classes.

## Classes

### <a name="bareos_exporter"></a>`bareos_exporter`

bareos_exporter

#### Examples

##### 

```puppet
include bareos_exporter
```

#### Parameters

The following parameters are available in the `bareos_exporter` class:

* [`version`](#version)
* [`manage_user`](#manage_user)
* [`manage_group`](#manage_group)
* [`bareos_exporter_user`](#bareos_exporter_user)
* [`bareos_exporter_group`](#bareos_exporter_group)
* [`datasource`](#datasource)
* [`dbtype`](#dbtype)
* [`port`](#port)
* [`archive_url`](#archive_url)

##### <a name="version"></a>`version`

Data type: `Optional[String]`

Which version to install

Default value: `$bareos_exporter::params::version`

##### <a name="manage_user"></a>`manage_user`

Data type: `Optional[Boolean]`

Whether to create the bareos_exporter user. Must be created by other means if set to false

Default value: `$bareos_exporter::params::manage_user`

##### <a name="manage_group"></a>`manage_group`

Data type: `Optional[Boolean]`

Whether to create the bareos_exporter group. Must be created by other means if set to false

Default value: `$bareos_exporter::params::manage_group`

##### <a name="bareos_exporter_user"></a>`bareos_exporter_user`

Data type: `Optional[String]`

whether to create the user. Default is postgres

Default value: `$bareos_exporter::params::bareos_exporter_user`

##### <a name="bareos_exporter_group"></a>`bareos_exporter_group`

Data type: `Optional[String]`

whether to create the group. Default is postgres

Default value: `$bareos_exporter::params::bareos_exporter_group`

##### <a name="datasource"></a>`datasource`

Data type: `Optional[String]`

the url connection to postgres. Default is local "user=postgres host=/var/run/postgresql/ sslmode=disable"

Default value: `$bareos_exporter::params::bareos_exporter_datasource`

##### <a name="dbtype"></a>`dbtype`

Data type: `Optional[String]`

the type of database connection to use # FIXME provide example

Default value: `$bareos_exporter::params::bareos_exporter_dbtype`

##### <a name="port"></a>`port`

Data type: `Optional[String]`

the port on which the service is expose

Default value: `$bareos_exporter::params::bareos_exporter_port`

##### <a name="archive_url"></a>`archive_url`

Data type: `Optional[String]`



Default value: `$bareos_exporter::params::archive_url`

